
static logical vstop, vauto, vtick;

static Widget auto_button, stop_button;

void
auto_creat (Widget widget)
  /*************************************** X11 Callback function */
{
  auto_button = widget;
  vauto = FALSE;
  vtick = FALSE;
}

void
inter_auto ()
  /*********** X11 Callback function  */
{
  vauto = pk_true;
  vstop = FALSE;
  vtick = FALSE;
}

logical
RAUTO ()
  /*********** Called by the SIGNAL program to get switching auto events */
{
  logical off4;

  off4 = vauto;
  vauto = FALSE;
  return (off4);
}

void
stop_creat (Widget widget)
  /** X11 Callback function  */
{
  stop_button = widget;
  vstop = FALSE;
}

void
inter_stop ()
  /*********** X11 Callback function  */
{
  vstop = TRUE;
}

logical
RSTOP ()
  /** Called by the SIGNAL program to get stop events */
{
  logical off4;

  off4 = vstop;
  vstop = FALSE;
  return (off4);
}

void
inter_tick ()
  /*********** X11 Callback function  */
{
  vtick = TRUE;
}

logical
RTICK ()
  /*********** Called by the SIGNAL program to get manual ticks */
{
  logical off4;

  off4 = vtick;
  vtick = FALSE;
  return (off4);
}

void
RESET_PANEL (logical cauto)
  /***************** Called by the SIGNAL program */
{
  if (cauto)
    {
      putlabel (auto_button, "  MANU  ");
      putlabel (stop_button, "        ");
    }
  else
    {
      putlabel (auto_button, "  AUTO  ");
      putlabel (stop_button, "  QUIT  ");
    };
}

/*
|-------------------|
| DISPLAYING RHYTHM |
|-------------------|
*/

#define PACE_PI_0 4		/* Initial period */
#define SCALEXWIWRITE 2
#define SCALEYWIWRITE 15

struct rhythm_descr pace_count;

void
GET_PACE_RHYTHM (struct rhythm_descr **descr, int *pi_0)
  /************************* Starting function called by the SIGNAL program */
{
  make_display_scale (&pace_count, SCALEXWIWRITE, SCALEYWIWRITE);
  *descr = &pace_count;
  *pi_0 = PACE_PI_0;
}

int
GET_DESCR_PACEMAKER ()
  /************************* Starting function called by the SIGNAL program */
{
  make_display_scale (&pace_count, SCALEXWIWRITE, SCALEYWIWRITE);
  return &pace_count;
}

int
GET_PI_PACEMAKER ()
/************************* Starting function called by the SIGNAL program */
{
  return PACE_PI_0;
}

void
meter_pace_creat (Widget widget)
  /************ X11 Callback function to get Widget descriptor */
{
  (pace_count).discount = widget;
}

void
inter_pace_up_p ()
  /*********** X11 Callback function  */
{
  (pace_count).vupdown = TRUE;
  (pace_count).vcode = LIN_CODE;
}

void
inter_pace_down_p ()
  /************* X11 Callback function  */
{
  (pace_count).vupdown = FALSE;
  (pace_count).vcode = LIN_CODE;
}

void
inter_pace_down_m ()
  /************* X11 Callback function  */
{
  (pace_count).vupdown = FALSE;
  (pace_count).vcode = EXP_CODE;
}

void
inter_pace_up_m ()
  /*********** X11 callback function */
{
  (pace_count).vupdown = TRUE;
  (pace_count).vcode = EXP_CODE;
}
