module M_equationSolving_COST =
   type HomoType = external;
   constant HomoType NilHomoTypeValue = external;
   constant HomoType d_cst_epsilon = external;
   process equationSolving_COST =
        ( ? boolean stable, err2, next_stable, OK, C_d, C_, C_373, C_cc_384, C_error, C_328, C_331;
            HomoType d_a, d_b, d_c;
          ! HomoType d_x2, d_x1, d_error;
        )
      pragmas 
         main
      end pragmas
      (| (| CLK_stable := ^stable
          | CLK_stable ^= stable ^= next_stable ^= C_328 ^= C_331
          | ACT_CLK_stable{}
          |) |)
      where 
      event CLK_stable;
      process ACT_CLK_stable =
           ( )
         (| CLK_stable ^= biterate ^= C ^= C_y ^= OK_344 ^= C_d_357 ^= C__368 ^= C_cc_390 ^= C__416 ^= C_x ^= C_x1 ^= C_444 ^= C_448 ^= C_451 ^= d_stable ^= d_yy ^= d_next_yy ^= d_biterate ^= d_mx ^= d_pre_next_yy ^= d_next_stable ^= d_s ^= d_XZX_147 ^= 
            d_C ^= d_C_328 ^= d_C_331 ^= d_C_y ^= d_OK_344 ^= d_C_d_357 ^= d_C__368 ^= d_C_cc_390 ^= d_C__416 ^= d_C_x ^= d_C_x1 ^= d_C_444 ^= d_C_448 ^= d_C_451 ^= d_CLK_stable ^= done ^= done_969 ^= done_973 ^= done_979 ^= done_983 ^= done_995 ^= 
            done_1006 ^= done_1013 ^= done_1017 ^= done_1027 ^= done_1042 ^= done_1051 ^= done_1061 ^= done_1071 ^= done_1080 ^= done_1085 ^= done_1100 ^= done_1110 ^= done_1122 ^= done_1143 ^= done_1158 ^= done_1168 ^= done_1178 ^= done_1188 ^= done_1207 
            ^= done_1218 ^= done_1228 ^= done_1238 ^= done_1248 ^= done_1254 ^= XZX_1257 ^= done_1258 ^= XZX_1269 ^= done_1270 ^= done_1280 ^= done_1301 ^= done_1307 ^= XZX_1310 ^= done_1311 ^= XZX_1322 ^= done_1323 ^= XZX_1332 ^= done_1333 ^= XZX_1345 ^= 
            XZX_1351 ^= done_1352 ^= XZX_1364 ^= done_1365 ^= XZX_1391 ^= done_1392 ^= XZX_1401 ^= done_1402 ^= XZX_1411 ^= done_1412 ^= done_1429 ^= done_1435 ^= done_1440 ^= done_1452 ^= done_1461 ^= done_1470 ^= done_1480 ^= XZX_1483 ^= done_1484 ^= 
            XZX_1493 ^= done_1494 ^= XZX_1506 ^= done_1507 ^= done_1530 ^= done_1541 ^= done_1552 ^= done_1562 ^= done_1581 ^= done_1597 ^= done_1607 ^= done_1626 ^= done_1647 ^= done_1651 ^= done_1663 ^= done_1674 ^= done_1684 ^= done_1694 ^= done_1700 ^=
            done_1704 ^= done_1724 ^= done_1734 ^= done_1749 ^= done_1753 ^= done_1765 ^= done_1781 ^= done_1788 ^= XZX_1800 ^= done_1807 ^= XZX_1813 ^= done_1814 ^= XZX_1826 ^= done_1834 ^= done_1841 ^= done_1844 ^= done_1854 ^= done_1878 ^= done_1896 ^= 
            done_1903 ^= done_1921 ^= done_1928 ^= done_1969 ^= done_1976 ^= done_1984 ^= done_2003 ^= XZX_2010 ^= done_2011 ^= done_2019 ^= XZX_2026 ^= done_2027 ^= done_2035 ^= done_2043 ^= done_2051 ^= done_2059 ^= done_2067 ^= done_2075 ^= done_2087 ^=
            done_2095 ^= done_2103 ^= done_2111 ^= done_2119 ^= done_2127 ^= done_2135 ^= done_2143 ^= done_2151 ^= done_2159 ^= done_2167 ^= done_2175 ^= done_2183 ^= done_2191 ^= done_2199 ^= done_2209 ^= done_2222 ^= done_2254
          | (| CLK_66 := when biterate
             | CLK_66 ^= d_CLK_66
             |)
          | (| CLK_67 := when C
             | CLK_67 ^= d_CLK_240
             |)
          | (| CLK_83 := when C_328
             | CLK_83 ^= d_CLK_242
             |)
          | (| CLK_84 := when C_331
             | CLK_84 ^= d_CLK_244
             |)
          | (| CLK_x2 := when C_y
             | CLK_x2 ^= d_x2_internal ^= d_y ^= d_bb_110 ^= d_x_168 ^= d_x_177 ^= d_CLK_x2_0 ^= XZX_1561 ^= XZX_1574 ^= XZX_1580 ^= XZX_1606 ^= XZX_1619 ^= XZX_1625 ^= d_x2
             | ACT_CLK_x2{}
             |)
          | (| CLK_a := when stable
             | CLK_a ^= OK ^= d_a_internal ^= d_b_internal ^= d_c_internal ^= d_OK ^= d_C_cc ^= d_C_376 ^= d_C_error_398 ^= d_C_err ^= d_CLK_a ^= XZX_1054 ^= d_a ^= d_b ^= d_c
             | ACT_CLK_a{}
             |)
          | (| CLK_XZX_164 := when C__416
             | CLK_XZX_164 ^= d_XZX_164 ^= d_CLK_XZX_164_0
             |)
          | (| CLK_x21 := when C_x
             | CLK_x21 ^= d_x21 ^= d_CLK_x21_0 ^= XZX_1650 ^= XZX_1662
             |)
          | (| CLK_x1 := when C_x1
             | CLK_x1 ^= d_x1_internal ^= d_CLK_x1_0 ^= XZX ^= XZX_994 ^= d_x1
             |)
          | (| CLK_230 := when C_444
             | CLK_230 ^= d_CLK_324
             |)
          | (| CLK_232 := when C_448
             | CLK_232 ^= d_CLK_326
             |)
          | (| CLK_236 := when C_451
             | CLK_236 ^= d_CLK_328
             |)
          | (| biterate := CLK_d default ((not stable) when CLK_236)
             | C := not biterate
             | C_y := next_stable and biterate
             | OK_344 := left_tt ( OK,stable )
             | C_d_357 := left_tt ( C_d,stable )
             | C__368 := left_tt ( C_,stable )
             | C_cc_390 := left_tt ( C_cc_384,stable )
             | C__416 := C_y or OK_344
             | C_x := C_y or C__368
             | C_x1 := C_x or C_cc_390
             | C_444 := (not C_y) and C__368
             | C_448 := (not C_x) and C_cc_390
             | C_451 := not C_d_357
             | (d_x2_internal,done) := CostRenaming{__TC__#_real}(d_x_168,d_CLK_x2_0,done_969)
             | (XZX,done_983) := CostWhen{__TC__#_real}(d_x,d_CLK_326,NilHomoTypeValue when CLK_x1)
             | (XZX_994,done_995) := CostWhen{__TC__#_real}(d_x21,d_CLK_x21_0,NilHomoTypeValue when CLK_x1)
             | (d_x1_internal,done_973) := CostDefault{__TC__#_real}(XZX_994,XZX,d_CLK_x1_0,done_979)
             | (d_error_internal,done_1006) := CostRenaming{__TC__#_logical}(d_err_235,d_CLK_error_0,done_1013)
             | (XZX_1026,done_1027) := CostDivi{__TC__#_real,__TC__#_real}(d_cc_213,d_bb_212,d_CLK_x_0,NilHomoTypeValue when CLK_x)
             | (d_x,done_1017) := CostUMinus{__TC__#_real}(XZX_1026,d_CLK_x_0,NilHomoTypeValue when CLK_x)
             | (d_OK,done_1042) := CostNEQ{__TC__#_real,__TC__#_real}(d_a_internal,XZX_1054,d_CLK_a,done_1051)
             | (d_d,done_1061) := CostWhen{__TC__#_real}(d_dd,d_CLK_d_0,NilHomoTypeValue when CLK_d)
             | (d_bb,done_1071) := CostDivi{__TC__#_real,__TC__#_real}(d_XZX_80,d_aa,d_CLK_bb,done_1080)
             | (d_cc,done_1085) := CostDivi{__TC__#_real,__TC__#_real}(d_XZX_84,d_aa,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (d_stable,done_1100) := CostDelay{__TC__#_logical}(d_next_stable,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (XZX_1121,done_1122) := CostMult{__TC__#_real,__TC__#_real}(XZX_1135,d_cc,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (XZX_1142,done_1143) := CostMult{__TC__#_real,__TC__#_real}(d_bb,d_bb,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (d_dd,done_1110) := CostMinus{__TC__#_real,__TC__#_real}(XZX_1142,XZX_1121,d_CLK_bb,done_1071)
             | (d_aa,done_1158) := CostWhen{__TC__#_real}(d_a_internal,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (d_XZX_80,done_1168) := CostWhen{__TC__#_real}(d_b_internal,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (d_XZX_84,done_1178) := CostWhen{__TC__#_real}(d_c_internal,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (XZX_1206,done_1207) := CostUMinus{__TC__#_real}(d_XZX_91,d_CLK_x_1_0,NilHomoTypeValue when CLK_x_1)
             | (d_x_1,done_1188) := CostDivi{__TC__#_real,__TC__#_real}(XZX_1206,XZX_1200,d_CLK_x_1_0,NilHomoTypeValue when CLK_x_1)
             | (d_XZX_91,done_1218) := CostWhen{__TC__#_real}(d_bb,d_CLK_x_1_0,NilHomoTypeValue when CLK_x_1)
             | (d_y,done_1228) := CostWhen{__TC__#_real}(d_yy,d_CLK_x2_0,NilHomoTypeValue when CLK_x2)
             | (d_bb_110,done_1238) := CostWhen{__TC__#_real}(d_XZX_164,d_CLK_x2_0,NilHomoTypeValue when CLK_x2)
             | (XZX_1257,done_1258) := CostWhen{__TC__#_real}(d_pre_next_yy,d_CLK_328,NilHomoTypeValue when CLK_stable)
             | (XZX_1279,done_1280) := CostDivi{__TC__#_real,__TC__#_real}(d_d,XZX_1292,d_CLK_d_0,NilHomoTypeValue when CLK_d)
             | (XZX_1269,done_1270) := CostWhen{__TC__#_real}(XZX_1279,d_CLK_d_0,NilHomoTypeValue when CLK_stable)
             | (d_yy,done_1248) := CostDefault{__TC__#_real}(XZX_1269,XZX_1257,d_CLK_stable,done_1254)
             | (XZX_1310,done_1311) := CostWhen{__TC__#_real}(d_yy,d_CLK_240,NilHomoTypeValue when CLK_stable)
             | XZX_1345 := CostConst{__TC__#_real}()
             | (XZX_1364,done_1365) := CostDivi{__TC__#_real,__TC__#_real}(d_mx,d_yy,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (XZX_1351,done_1352) := CostPlus{__TC__#_real,__TC__#_real}(d_yy,XZX_1364,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (XZX_1332,done_1333) := CostDivi{__TC__#_real,__TC__#_real}(XZX_1351,XZX_1345,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (XZX_1322,done_1323) := CostWhen{__TC__#_real}(XZX_1332,d_CLK_66,NilHomoTypeValue when CLK_stable)
             | (d_next_yy,done_1301) := CostDefault{__TC__#_real}(XZX_1322,XZX_1310,d_CLK_stable,done_1307)
             | (XZX_1401,done_1402) := CostNot(d_stable,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (XZX_1391,done_1392) := CostWhen{__TC__#_logical}(XZX_1401,d_CLK_328,NilHomoTypeValue when CLK_stable)
             | (XZX_1411,done_1412) := CostWhen{__TC__#_event}(XZX_1422,d_CLK_d_0,NilHomoTypeValue when CLK_stable)
             | (d_biterate,done_1307) := CostDefault{__TC__#_logical}(XZX_1411,XZX_1391,d_CLK_stable,done_1248)
             | (XZX_1439,done_1440) := CostWhen{__TC__#_real}(d_d,d_CLK_d_0,NilHomoTypeValue when CLK_d)
             | (d_mx,done_1429) := CostCell{__TC__#_real}(XZX_1439,d_CLK_stable,d_CLK_stable,done_1435)
             | (d_pre_next_yy,done_1452) := CostDelay{__TC__#_real}(d_next_yy,d_CLK_stable,done_1100)
             | (d_next_stable,done_1461) := CostLT{__TC__#_real,__TC__#_real}(d_s,d_cst_epsilon,d_CLK_stable,done_1470)
             | (XZX_1493,done_1494) := CostUMinus{__TC__#_real}(d_XZX_147,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (XZX_1483,done_1484) := CostWhen{__TC__#_real}(XZX_1493,d_CLK_244,NilHomoTypeValue when CLK_stable)
             | (XZX_1506,done_1507) := CostWhen{__TC__#_real}(d_XZX_147,d_CLK_242,NilHomoTypeValue when CLK_stable)
             | (d_s,done_1470) := CostDefault{__TC__#_real}(XZX_1506,XZX_1483,d_CLK_stable,done_1480)
             | (d_XZX_147,done_1480) := CostMinus{__TC__#_real,__TC__#_real}(d_next_yy,d_yy,d_CLK_stable,done_1301)
             | (XZX_1540,done_1541) := CostWhen{__TC__#_real}(d_bb,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (d_XZX_164,done_1530) := CostCell{__TC__#_real}(XZX_1540,d_CLK_XZX_164_0,d_CLK_XZX_164_0,NilHomoTypeValue when CLK_XZX_164)
             | (XZX_1580,done_1581) := CostMinus{__TC__#_real,__TC__#_real}(d_bb_110,d_y,d_CLK_x2_0,NilHomoTypeValue when CLK_x2)
             | (XZX_1561,done_1562) := CostDivi{__TC__#_real,__TC__#_real}(XZX_1580,XZX_1574,d_CLK_x2_0,NilHomoTypeValue when CLK_x2)
             | (d_x_168,done_1552) := CostUMinus{__TC__#_real}(XZX_1561,d_CLK_x2_0,NilHomoTypeValue when CLK_x2)
             | (XZX_1625,done_1626) := CostPlus{__TC__#_real,__TC__#_real}(d_bb_110,d_y,d_CLK_x2_0,NilHomoTypeValue when CLK_x2)
             | (XZX_1606,done_1607) := CostDivi{__TC__#_real,__TC__#_real}(XZX_1625,XZX_1619,d_CLK_x2_0,NilHomoTypeValue when CLK_x2)
             | (d_x_177,done_1597) := CostUMinus{__TC__#_real}(XZX_1606,d_CLK_x2_0,NilHomoTypeValue when CLK_x2)
             | (XZX_1650,done_1651) := CostWhen{__TC__#_real}(d_x_1,d_CLK_324,NilHomoTypeValue when CLK_x21)
             | (XZX_1662,done_1663) := CostWhen{__TC__#_real}(d_x_177,d_CLK_x2_0,NilHomoTypeValue when CLK_x21)
             | (d_x21,done_979) := CostDefault{__TC__#_real}(XZX_1662,XZX_1650,d_CLK_x21_0,done_1647)
             | (d_bb_212,done_1674) := CostWhen{__TC__#_real}(d_bb_1,d_CLK_x_0,NilHomoTypeValue when CLK_x)
             | (d_cc_213,done_1684) := CostWhen{__TC__#_real}(d_cc_2,d_CLK_x_0,NilHomoTypeValue when CLK_x)
             | (XZX_1703,done_1704) := CostNEQ{__TC__#_real,__TC__#_real}(d_cc_2,XZX_1716,d_CLK_bb_1_0,NilHomoTypeValue when CLK_bb_1)
             | (d_err2,done_1694) := CostWhen{__TC__#_logical}(XZX_1703,d_CLK_err2_0,done_1700)
             | (d_bb_1,done_1724) := CostWhen{__TC__#_real}(d_b_internal,d_CLK_bb_1_0,NilHomoTypeValue when CLK_bb_1)
             | (d_cc_2,done_1734) := CostWhen{__TC__#_real}(d_c_internal,d_CLK_bb_1_0,NilHomoTypeValue when CLK_bb_1)
             | (XZX_1752,done_1753) := CostWhen{__TC__#_logical}(d_err2,d_CLK_err2_0,NilHomoTypeValue when CLK_error)
             | (XZX_1764,done_1765) := CostWhen{__TC__#_event}(XZX_1774,d_CLK_276,NilHomoTypeValue when CLK_error)
             | (d_err_235,done_1013) := CostDefault{__TC__#_logical}(XZX_1764,XZX_1752,d_CLK_error_0,done_1749)
             | (d_C,done_1781) := CostNot(d_biterate,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | XZX_1800 := CostConst{__TC__#_real}()
             | (d_C_328,done_1788) := CostGEQ{__TC__#_real,__TC__#_real}(d_XZX_147,XZX_1800,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | XZX_1826 := CostConst{__TC__#_real}()
             | (XZX_1813,done_1814) := CostGEQ{__TC__#_real,__TC__#_real}(d_XZX_147,XZX_1826,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_C_331,done_1807) := CostNot(XZX_1813,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_C_y,done_1834) := CostAnd(d_next_stable,d_biterate,d_CLK_stable,done_1461)
             | (d_OK_344,done_1841) := CostLeftTT(d_OK,d_stable,d_CLK_stable,done_1844)
             | (d_C_cc,done_1080) := CostNot(d_OK,d_CLK_a,done_1042)
             | (d_C_d,done_1854) := CostGT{__TC__#_real,__TC__#_real}(d_dd,XZX_1865,d_CLK_bb,done_1110)
             | (d_C_d_357,done_1435) := CostLeftTT(d_C_d,d_stable,d_CLK_stable,done_1841)
             | (d_C_,done_1878) := CostEQ{__TC__#_real,__TC__#_real}(d_dd,XZX_1889,d_CLK_bb,done_1854)
             | (d_C__368,done_1896) := CostLeftTT(d_C_,d_stable,d_CLK_stable,done_1429)
             | (d_C_373,done_1903) := CostLT{__TC__#_real,__TC__#_real}(d_dd,XZX_1914,d_CLK_bb,done_1878)
             | (d_C_376,done_1921) := CostLeftTT(d_C_373,d_OK,d_CLK_a,done_1903)
             | (d_C_cc_384,done_1928) := CostNEQ{__TC__#_real,__TC__#_real}(d_bb_1,XZX_1939,d_CLK_bb_1_0,done_1921)
             | (d_C_cc_390,done_1254) := CostLeftTT(d_C_cc_384,d_stable,d_CLK_stable,done_1896)
             | (d_C_error,done_1700) := CostEQ{__TC__#_real,__TC__#_real}(d_bb_1,XZX_1962,d_CLK_bb_1_0,done_1928)
             | (d_C_error_398,done_1969) := CostLeftTT(d_C_error,d_C_cc,d_CLK_a,done_1694)
             | (d_C__416,done_1976) := CostOr(d_C_y,d_OK_344,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_C_x,done_1984) := CostOr(d_C_y,d_C__368,d_CLK_stable,done_1834)
             | (d_C_err,done_1749) := CostOr(d_C_376,d_C_error_398,d_CLK_a,done_1969)
             | (d_C_x1,done_969) := CostOr(d_C_x,d_C_cc_390,d_CLK_stable,done_1984)
             | (XZX_2010,done_2011) := CostNot(d_C_y,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_C_444,done_2003) := CostAnd(XZX_2010,d_C__368,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (XZX_2026,done_2027) := CostNot(d_C_x,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_C_448,done_2019) := CostAnd(XZX_2026,d_C_cc_390,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_C_451,done_2035) := CostNot(d_C_d_357,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_CLK_bb,done_2043) := CostWhen1(d_OK,d_CLK_a,NilHomoTypeValue when CLK_a)
             | (d_CLK_bb_1_0,done_2051) := CostWhen1(d_C_cc,d_CLK_a,NilHomoTypeValue when CLK_a)
             | (d_CLK_d_0,done_2059) := CostWhen1(d_C_d,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (d_CLK_x_1_0,done_2067) := CostWhen1(d_C_,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (d_CLK_276,done_2075) := CostWhen1(d_C_373,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | d_CLK_stable := CostConst{__TC__#_event}()
             | (d_CLK_66,done_2087) := CostWhen1(d_biterate,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_CLK_240,done_2095) := CostWhen1(d_C,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_CLK_242,done_2103) := CostWhen1(d_C_328,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_CLK_244,done_2111) := CostWhen1(d_C_331,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_CLK_x2_0,done_2119) := CostWhen1(d_C_y,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_CLK_a,done_2127) := CostWhen1(d_stable,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_CLK_x_0,done_2135) := CostWhen1(d_C_cc_384,d_CLK_bb_1_0,NilHomoTypeValue when CLK_bb_1)
             | (d_CLK_err2_0,done_2143) := CostWhen1(d_C_error,d_CLK_bb_1_0,NilHomoTypeValue when CLK_bb_1)
             | (d_CLK_XZX_164_0,done_2151) := CostWhen1(d_C__416,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_CLK_x21_0,done_2159) := CostWhen1(d_C_x,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_CLK_error_0,done_2167) := CostWhen1(d_C_err,d_CLK_a,NilHomoTypeValue when CLK_a)
             | (d_CLK_x1_0,done_2175) := CostWhen1(d_C_x1,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_CLK_324,done_2183) := CostWhen1(d_C_444,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_CLK_326,done_2191) := CostWhen1(d_C_448,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_CLK_328,done_2199) := CostWhen1(d_C_451,d_CLK_stable,NilHomoTypeValue when CLK_stable)
             | (d_a_internal,done_2209) := CostInput{__TC__#_real}(d_a,d_CLK_a,NilHomoTypeValue when CLK_a)
             | (d_b_internal,done_2222) := CostInput{__TC__#_real}(d_b,d_CLK_a,done_2209)
             | (d_c_internal,done_1051) := CostInput{__TC__#_real}(d_c,d_CLK_a,done_2222)
             | (d_x2,done_1647) := CostOutput{__TC__#_real}(d_x2_internal,d_CLK_x2_0,done)
             | (d_x1,done_2254) := CostOutput{__TC__#_real}(d_x1_internal,d_CLK_x1_0,done_973)
             | (d_error,done_1844) := CostOutput{__TC__#_logical}(d_error_internal,d_CLK_error_0,done_1006)
             |)
          |)
         where 
         event CLK_236, CLK_232, CLK_230, CLK_x1, CLK_error, CLK_x21, CLK_XZX_164, CLK_x, CLK_a, CLK_x2, CLK_84, CLK_83, CLK_67, CLK_66, CLK_x_1, CLK_d, CLK_bb_1, CLK_bb;
         boolean biterate, C, C_y, OK_344, C_d_357, C__368, C_cc_390, C__416, C_x, C_x1, C_444, C_448, C_451;
         HomoType d_a_internal, d_b_internal, d_c_internal, d_x2_internal, d_x1_internal, d_error_internal, d_x, d_OK, d_d, d_bb, d_cc, d_stable, d_dd, d_aa, d_XZX_80, d_XZX_84, d_x_1, d_XZX_91, d_y, d_bb_110, d_yy, d_next_yy, d_biterate, d_mx, 
                  d_pre_next_yy, d_next_stable, d_s, d_XZX_147, d_XZX_164, d_x_168, d_x_177, d_x21, d_bb_212, d_cc_213, d_err2, d_bb_1, d_cc_2, d_err_235, d_C, d_C_328, d_C_331, d_C_y, d_OK_344, d_C_cc, d_C_d, d_C_d_357, d_C_, d_C__368, d_C_373, d_C_376, 
                  d_C_cc_384, d_C_cc_390, d_C_error, d_C_error_398, d_C__416, d_C_x, d_C_err, d_C_x1, d_C_444, d_C_448, d_C_451, d_CLK_bb, d_CLK_bb_1_0, d_CLK_d_0, d_CLK_x_1_0, d_CLK_276, d_CLK_stable, d_CLK_66, d_CLK_240, d_CLK_242, d_CLK_244, 
                  d_CLK_x2_0, d_CLK_a, d_CLK_x_0, d_CLK_err2_0, d_CLK_XZX_164_0, d_CLK_x21_0, d_CLK_error_0, d_CLK_x1_0, d_CLK_324, d_CLK_326, d_CLK_328, done, done_969, done_973, done_979, XZX, done_983, XZX_994, done_995, done_1006, done_1013, done_1017,
                  XZX_1026, done_1027, done_1042, done_1051, XZX_1054, done_1061, done_1071, done_1080, done_1085, done_1100, done_1110, XZX_1121, done_1122, XZX_1135, XZX_1142, done_1143, done_1158, done_1168, done_1178, done_1188, XZX_1200, XZX_1206, 
                  done_1207, done_1218, done_1228, done_1238, done_1248, done_1254, XZX_1257, done_1258, XZX_1269, done_1270, XZX_1279, done_1280, XZX_1292, done_1301, done_1307, XZX_1310, done_1311, XZX_1322, done_1323, XZX_1332, done_1333, XZX_1345, 
                  XZX_1351, done_1352, XZX_1364, done_1365, XZX_1391, done_1392, XZX_1401, done_1402, XZX_1411, done_1412, XZX_1422, done_1429, done_1435, XZX_1439, done_1440, done_1452, done_1461, done_1470, done_1480, XZX_1483, done_1484, XZX_1493, 
                  done_1494, XZX_1506, done_1507, done_1530, XZX_1540, done_1541, done_1552, XZX_1561, done_1562, XZX_1574, XZX_1580, done_1581, done_1597, XZX_1606, done_1607, XZX_1619, XZX_1625, done_1626, done_1647, XZX_1650, done_1651, XZX_1662, 
                  done_1663, done_1674, done_1684, done_1694, done_1700, XZX_1703, done_1704, XZX_1716, done_1724, done_1734, done_1749, XZX_1752, done_1753, XZX_1764, done_1765, XZX_1774, done_1781, done_1788, XZX_1800, done_1807, XZX_1813, done_1814, 
                  XZX_1826, done_1834, done_1841, done_1844, done_1854, XZX_1865, done_1878, XZX_1889, done_1896, done_1903, XZX_1914, done_1921, done_1928, XZX_1939, XZX_1962, done_1969, done_1976, done_1984, done_2003, XZX_2010, done_2011, done_2019, 
                  XZX_2026, done_2027, done_2035, done_2043, done_2051, done_2059, done_2067, done_2075, done_2087, done_2095, done_2103, done_2111, done_2119, done_2127, done_2135, done_2143, done_2151, done_2159, done_2167, done_2175, done_2183, 
                  done_2191, done_2199, done_2209, done_2222, done_2254;
         process ACT_CLK_x2 =
              ( )
            (| (| XZX_1574 := CostConst{__TC__#_real}()
                | XZX_1619 := CostConst{__TC__#_real}()
                |) |)
         %ACT_CLK_x2%; 
         process ACT_CLK_a =
              ( )
            (| CLK_a ^= C_cc ^= C_376 ^= C_error_398 ^= C_err
             | (| CLK_bb := when OK
                | CLK_bb ^= C_d ^= C_ ^= C_373 ^= d_bb ^= d_cc ^= d_dd ^= d_aa ^= d_XZX_80 ^= d_XZX_84 ^= d_C_d ^= d_C_ ^= d_C_373 ^= d_CLK_bb ^= XZX_1121 ^= XZX_1135 ^= XZX_1142 ^= XZX_1540 ^= XZX_1865 ^= XZX_1889 ^= XZX_1914
                | ACT_CLK_bb{}
                |)
             | (| CLK_bb_1 := when C_cc
                | CLK_bb_1 ^= C_cc_384 ^= C_error ^= d_bb_1 ^= d_cc_2 ^= d_C_cc_384 ^= d_C_error ^= d_CLK_bb_1_0 ^= XZX_1703 ^= XZX_1716 ^= XZX_1939 ^= XZX_1962
                | ACT_CLK_bb_1{}
                |)
             | (| CLK_error := when C_err
                | CLK_error ^= d_error_internal ^= d_err_235 ^= d_CLK_error_0 ^= XZX_1752 ^= XZX_1764 ^= d_error
                |)
             | (| C_cc := not OK
                | C_376 := left_tt ( C_373,OK )
                | C_error_398 := left_tt ( C_error,C_cc )
                | C_err := C_376 or C_error_398
                | XZX_1054 := CostConst{__TC__#_real}()
                |)
             |)
            where 
            boolean C_cc, C_376, C_error_398, C_err;
            process ACT_CLK_bb =
                 ( )
               (| (| CLK_d := when C_d
                   | CLK_d ^= d_d ^= d_CLK_d_0 ^= XZX_1279 ^= XZX_1292 ^= XZX_1422 ^= XZX_1439
                   | ACT_CLK_d{}
                   |)
                | (| CLK_x_1 := when C_
                   | CLK_x_1 ^= d_x_1 ^= d_XZX_91 ^= d_CLK_x_1_0 ^= XZX_1200 ^= XZX_1206
                   | XZX_1200 := CostConst{__TC__#_real}()
                   |)
                | (| CLK_31 := when C_373
                   | CLK_31 ^= d_CLK_276 ^= XZX_1774
                   | XZX_1774 := CostConst{__TC__#_event}()
                   |)
                | (| XZX_1135 := CostConst{__TC__#_real}()
                   | XZX_1865 := CostConst{__TC__#_real}()
                   | XZX_1889 := CostConst{__TC__#_real}()
                   | XZX_1914 := CostConst{__TC__#_real}()
                   |)
                |)
               where 
               event CLK_31;
               process ACT_CLK_d =
                    ( )
                  (| (| XZX_1292 := CostConst{__TC__#_real}()
                      | XZX_1422 := CostConst{__TC__#_event}()
                      |) |)
               %ACT_CLK_d%; 
               end
            %ACT_CLK_bb%; 
            process ACT_CLK_bb_1 =
                 ( )
               (| (| CLK_x := when C_cc_384
                   | CLK_x ^= d_x ^= d_bb_212 ^= d_cc_213 ^= d_CLK_x_0 ^= XZX_1026
                   |)
                | (| CLK_err2 := when C_error
                   | CLK_err2 ^= err2 ^= d_err2 ^= d_CLK_err2_0
                   |)
                | (| XZX_1716 := CostConst{__TC__#_real}()
                   | XZX_1939 := CostConst{__TC__#_real}()
                   | XZX_1962 := CostConst{__TC__#_real}()
                   |)
                |)
               where 
               event CLK_err2;
               end
            %ACT_CLK_bb_1%; 
            end
         %ACT_CLK_a%; 
         end
      %ACT_CLK_stable%; 
      end
   %equationSolving_COST%; %(| err_235 := CLK_31 default (err2 when CLK_err2) |)***war: unused signals 
   *
   %
   use Cost_Context, STD, COSTBIB; 
end %M_equationSolving_COST%; 
