process FirstDegree_ABSTRACT =
     ( ? boolean Compute;
         real b, c;
       ! real x;
         boolean err2, C_error, C_bb;
     )
   pragmas 
      GreyBox "FirstDegree"
   end pragmas
   (| (| Tick := true
       | when Tick ^= Compute ^= b ^= c
       | when Compute ^= C_error ^= C_bb
       | when C_error ^= err2
       | when C_bb ^= x
       |)
    | (| nlabel :: (x,err2) := FirstDegree_Cluster_1(Compute)
       | nlabel ^= when Compute
       |)
    | (| nlabel_75 :: FirstDegree_Cluster_2(Compute,c)
       | nlabel_75 ^= when Tick
       |)
    | (| nlabel_76 :: (C_error,C_bb) := FirstDegree_Cluster_3(Compute,b)
       | nlabel_76 ^= when Tick
       |)
    | (| c --> nlabel
       | b --> nlabel
       | Compute --> nlabel
       | nlabel_75 --> nlabel
       | c --> nlabel_75
       | Compute --> nlabel_75
       | nlabel_76 --> nlabel
       | b --> nlabel_76
       | Compute --> nlabel_76
       |)
    |)
   where 
   boolean Tick;
   label nlabel, nlabel_75, nlabel_76; 
   action FirstDegree_Cluster_1 =
        ( ? boolean Compute;
          ! real x;
            boolean err2;
        )
      pragmas 
         DefinedClockHierarchy
         Cluster
         BlackBox ""
      end pragmas
      external "C"
   %FirstDegree_Cluster_1%; 
   action FirstDegree_Cluster_2 =
        ( ? boolean Compute;
            real c;
        )
      pragmas 
         DefinedClockHierarchy
         Cluster
         BlackBox ""
      end pragmas
      external "C"
   %FirstDegree_Cluster_2%; 
   action FirstDegree_Cluster_3 =
        ( ? boolean Compute;
            real b;
          ! boolean C_error;
            boolean C_bb;
        )
      pragmas 
         DefinedClockHierarchy
         Cluster
         BlackBox ""
      end pragmas
      external "C"
   %FirstDegree_Cluster_3%; 
   end
%FirstDegree_ABSTRACT%; 
