module AADL_TYPE =

type Time_Units = enum (ps, ns, us, ms, sec, min, hr, un); %predefined type for time units, un for undefined%
type Supported_Dispatch_Protocols = enum (Periodic, Sporadic, Aperiodic, Timed, Hybrid, Background); %predefined type for supported dispatch protocols%
type Timing = enum (sampled, immediate, delayed); %predefined type for Timing property values%
type Fan_Out_Policy = enum (Broadcast, RoundRobin, Selective, OnDemand); %predefined type for Fan_Out_Policy, for possible values are given in AADLv2%
type Dequeue_Protocol = enum (OneItem, MultipleItems, AllItems);
type Queue_Processing_Protocol = enum (Fifo, Filo);
type Overflow_Handling_Protocol = enum (DropOldest, DropNewest, Error);
type Input_Time_Reference_Time = enum (Dispatch, Start, Completion, Deadline, NoIO);
type Output_Time_Reference_Time = enum (Dispatch, Start, Completion, Deadline, NoIO);

end;
