#include "ansi.h"
#include "equationSolving_types.h"
#include "SimuC.h"
#include "Simu.c"
#include "equationSolving_body.h"

extern void
initSimu ()
{
  equationSolving_initialize ();
}

extern boolean
iterateSimu ()
{
  return equationSolving_step ();
}

extern boolean
r_equationSolving_a (float *a)
{
  (*a) = (*env_appel)->CallFloatMethod (env_appel, obj_appel, (*env_appel)->GetMethodID (env_appel, cls, "getA", "()F"));
  return pk_true;
}

extern boolean
r_equationSolving_b (float *b)
{
  (*b) = (*env_appel)->CallFloatMethod (env_appel, obj_appel, (*env_appel)->GetMethodID (env_appel, cls, "getB", "()F"));
  return pk_true;
}

extern boolean
r_equationSolving_c (float *c)
{
  (*c) = (*env_appel)->CallFloatMethod (env_appel, obj_appel, (*env_appel)->GetMethodID (env_appel, cls, "getC", "()F"));
  return pk_true;
}

extern void
w_equationSolving_x1 (float x1)
{
  (*env_appel)->CallVoidMethod (env_appel, obj_appel, (*env_appel)->GetMethodID (env_appel, cls, "setX1", "(F)V"), x1);
}

extern void
w_equationSolving_x2 (float x2)
{
  (*env_appel)->CallVoidMethod (env_appel, obj_appel, (*env_appel)->GetMethodID (env_appel, cls, "setX2", "(F)V"), x2);
}

extern void
w_equationSolving_oc (boolean infiniteOrNoSolution)
{
  (*env_appel)->CallVoidMethod (env_appel, obj_appel, (*env_appel)->GetMethodID (env_appel, cls, "setInfiniteOrNoSolution", "(Z)V"), infiniteOrNoSolution);
}
