module M_Q2_COST =
   type HomoType = external;
   constant HomoType NilHomoTypeValue = external;
   process Q2_COST =
        ( ? boolean OK, C_error, C_cc_391;
            HomoType d_c, d_b, d_OK;
          ! HomoType d_x, d_err2, d_C_cc, d_C_cc_391, d_C_error, d_C_error_405;
        )
      pragmas 
         main
      end pragmas
      (| (| CLK_c_0 := ^OK
          | CLK_c_0 ^= OK ^= d_c ^= d_b ^= d_OK ^= d_C_cc ^= d_C_error_405
          | ACT_CLK_c_0{}
          |) |)
      where 
      event CLK_c_0;
      process ACT_CLK_c_0 =
           ( )
         (| CLK_c_0 ^= C_cc ^= d_c_internal ^= d_b_internal ^= d_OK_internal ^= d_C_cc_internal ^= d_C_error_405_internal ^= d_CLK_c_0 ^= done ^= done_484 ^= done_499 ^= done_510 ^= done_530 ^= done_537 ^= done_556 ^= done_575 ^= done_583 ^= done_593 ^= 
            done_603 ^= done_613 ^= done_650 ^= done_666 ^= done_682 ^= done_703 ^= done_715 ^= done_727 ^= done_738 ^= done_749 ^= done_760 ^= done_771 ^= done_782 ^= done_793
          | (| CLK_C_cc_391_0 := when C_cc
             | CLK_C_cc_391_0 ^= C_error ^= C_cc_391 ^= d_C_cc_391 ^= d_C_error ^= d_C_cc_391_internal ^= d_C_error_internal ^= d_bb_1 ^= d_cc_2 ^= d_CLK_C_cc_391_0 ^= XZX_509 ^= XZX_522 ^= XZX_549 ^= XZX_568
             | ACT_CLK_C_cc_391_0{}
             |)
          | (| C_cc := not OK
             | (XZX,done_484) := CostDivi{__TC__#_real,__TC__#_real}(d_cc_233,d_bb_232,d_CLK_x_0,NilHomoTypeValue when CLK_x_0)
             | (d_x_internal,done) := CostUMinus{__TC__#_real}(XZX,d_CLK_x_0,NilHomoTypeValue when CLK_x_0)
             | (XZX_509,done_510) := CostNEQ{__TC__#_real,__TC__#_real}(d_cc_2,XZX_522,d_CLK_C_cc_391_0,NilHomoTypeValue when CLK_C_cc_391_0)
             | (d_err2_internal,done_499) := CostWhen{__TC__#_logical}(XZX_509,d_CLK_err2_0,NilHomoTypeValue when CLK_err2_0)
             | (d_C_cc_internal,done_530) := CostNot(d_OK_internal,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
             | (d_C_cc_391_internal,done_537) := CostNEQ{__TC__#_real,__TC__#_real}(d_bb_1,XZX_549,d_CLK_C_cc_391_0,NilHomoTypeValue when CLK_C_cc_391_0)
             | (d_C_error_internal,done_556) := CostEQ{__TC__#_real,__TC__#_real}(d_bb_1,XZX_568,d_CLK_C_cc_391_0,NilHomoTypeValue when CLK_C_cc_391_0)
             | (d_C_error_405_internal,done_575) := CostLeftTT(d_C_error_internal,d_C_cc_internal,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
             | (d_bb_1,done_583) := CostWhen{__TC__#_real}(d_b_internal,d_CLK_C_cc_391_0,NilHomoTypeValue when CLK_C_cc_391_0)
             | (d_cc_2,done_593) := CostWhen{__TC__#_real}(d_c_internal,d_CLK_C_cc_391_0,NilHomoTypeValue when CLK_C_cc_391_0)
             | (d_bb_232,done_603) := CostWhen{__TC__#_real}(d_bb_1,d_CLK_x_0,NilHomoTypeValue when CLK_x_0)
             | (d_cc_233,done_613) := CostWhen{__TC__#_real}(d_cc_2,d_CLK_x_0,NilHomoTypeValue when CLK_x_0)
             | (d_CLK_C_cc_391_0,done_650) := CostWhen1(d_C_cc_internal,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
             | (d_CLK_x_0,done_666) := CostWhen1(d_C_cc_391_internal,d_CLK_C_cc_391_0,NilHomoTypeValue when CLK_C_cc_391_0)
             | (d_CLK_err2_0,done_682) := CostWhen1(d_C_error_internal,d_CLK_C_cc_391_0,NilHomoTypeValue when CLK_C_cc_391_0)
             | d_CLK_c_0 := CostConst{__TC__#_event}()
             | (d_c_internal,done_703) := CostInput{__TC__#_real}(d_c,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
             | (d_b_internal,done_715) := CostInput{__TC__#_real}(d_b,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
             | (d_OK_internal,done_727) := CostInput{__TC__#_logical}(d_OK,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
             | (d_x,done_738) := CostOutput{__TC__#_real}(d_x_internal,d_CLK_x_0,NilHomoTypeValue when CLK_x_0)
             | (d_err2,done_749) := CostOutput{__TC__#_logical}(d_err2_internal,d_CLK_err2_0,NilHomoTypeValue when CLK_err2_0)
             | (d_C_cc,done_760) := CostOutput{__TC__#_logical}(d_C_cc_internal,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
             | (d_C_cc_391,done_771) := CostOutput{__TC__#_logical}(d_C_cc_391_internal,d_CLK_C_cc_391_0,NilHomoTypeValue when CLK_C_cc_391_0)
             | (d_C_error,done_782) := CostOutput{__TC__#_logical}(d_C_error_internal,d_CLK_C_cc_391_0,NilHomoTypeValue when CLK_C_cc_391_0)
             | (d_C_error_405,done_793) := CostOutput{__TC__#_logical}(d_C_error_405_internal,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
             |)
          |)
         where 
         event CLK_err2_0, CLK_x_0, CLK_C_cc_391_0;
         boolean C_cc;
         HomoType d_c_internal, d_b_internal, d_OK_internal, d_x_internal, d_err2_internal, d_C_cc_internal, d_C_cc_391_internal, d_C_error_internal, d_C_error_405_internal, d_bb_1, d_cc_2, d_bb_232, d_cc_233, d_CLK_C_cc_391_0, d_CLK_x_0, d_CLK_err2_0, 
                  d_CLK_c_0, done, XZX, done_484, done_499, XZX_509, done_510, XZX_522, done_530, done_537, XZX_549, done_556, XZX_568, done_575, done_583, done_593, done_603, done_613, done_650, done_666, done_682, done_703, done_715, done_727, done_738, 
                  done_749, done_760, done_771, done_782, done_793;
         process ACT_CLK_C_cc_391_0 =
              ( )
            (| (| CLK_x_0 := when C_cc_391
                | CLK_x_0 ^= d_x ^= d_x_internal ^= d_bb_232 ^= d_cc_233 ^= d_CLK_x_0 ^= XZX
                |)
             | (| CLK_err2_0 := when C_error
                | CLK_err2_0 ^= d_err2 ^= d_err2_internal ^= d_CLK_err2_0
                |)
             | (| XZX_522 := CostConst{__TC__#_real}()
                | XZX_549 := CostConst{__TC__#_real}()
                | XZX_568 := CostConst{__TC__#_real}()
                |)
             |)
         %ACT_CLK_C_cc_391_0%; 
         end
      %ACT_CLK_c_0%; 
      end
   %Q2_COST%; %(| Tick := true when CLK_c_0
                | C := not C_cc
                | C_60 := not C_cc_391
                | C_63 := not C_error
                | d_Tick := CostConst{__TC__#_event}()
                | (d_C,done_628) := CostNot(d_C_cc_internal,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
                | (d_C_60,done_635) := CostNot(d_C_cc_391_internal,d_CLK_C_cc_391_0,NilHomoTypeValue when CLK_C_cc_391_0)
                | (d_C_63,done_642) := CostNot(d_C_error_internal,d_CLK_C_cc_391_0,NilHomoTypeValue when CLK_C_cc_391_0)
                | (d_C_467,done_658) := CostWhen1(d_C,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
                | (d_C_469,done_674) := CostWhen1(d_C_60,d_CLK_C_cc_391_0,NilHomoTypeValue when CLK_C_cc_391_0)
                | (d_C_471,done_690) := CostWhen1(d_C_63,d_CLK_C_cc_391_0,NilHomoTypeValue when CLK_C_cc_391_0)
                |)***war: unused signals 
   *
   %
   use Cost_Context, STD, COSTBIB; 
end %M_Q2_COST%; 
